%define upstream_name    Digest-MD5
%define upstream_version 2.52

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 6

Summary:    MD5 message digest algorithm
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Digest/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Digest::base) >= 1.0.0
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(File::Spec)
BuildRequires: perl(XSLoader)
BuildRequires: perl-devel
%description
The 'Digest::MD5' module allows you to use the RSA Data Security Inc. MD5
Message Digest algorithm from within Perl programs. The algorithm takes as
input a message of arbitrary length and produces as output a 128-bit
"fingerprint" or "message digest" of the input.

Note that the MD5 algorithm is not as strong as it used to be. It has since
2005 been easy to generate different messages that produce the same MD5
digest. It still seems hard to generate messages that produce a given
digest, but it is probably wise to move to stronger algorithms for
applications that depend on the digest to uniquely identify a message.

The 'Digest::MD5' module provide a procedural interface for simple use, as
well as an object oriented interface that can handle messages of arbitrary
length and which can read files directly.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make

%check
%make test

%install
%makeinstall_std

%files
%doc Changes META.yml MYMETA.yml README
%{_mandir}/man3/*
%perl_vendorlib/*

%changelog

* Wed Mar 27 2013 jquelin <jquelin> 2.520.0-6.mga3
+ Revision: 405468
- perl 5.16.3 rebuild

* Sun Jan 13 2013 umeabot <umeabot> 2.520.0-5.mga3
+ Revision: 365925
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Nov 07 2012 jquelin <jquelin> 2.520.0-4.mga3
+ Revision: 315497
- perl 5.16.2 rebuild

* Mon Sep 17 2012 jquelin <jquelin> 2.520.0-3.mga3
+ Revision: 294844
- perl 5.16.1 rebuild

* Mon Aug 27 2012 jquelin <jquelin> 2.520.0-2.mga3
+ Revision: 284583
- perl 5.16.1 rebuild

* Mon Jun 11 2012 jquelin <jquelin> 2.520.0-1.mga3
+ Revision: 259674
- update to 2.52

* Wed May 30 2012 jquelin <jquelin> 2.510.0-5.mga3
+ Revision: 250575
- rebuild for perl 5.16

* Sat Jun 11 2011 sander85 <sander85> 2.510.0-4.mga2
+ Revision: 104161
- perl 5.14

* Fri Feb 18 2011 jquelin <jquelin> 2.510.0-3.mga1
+ Revision: 53607
- rebuild

* Tue Jan 18 2011 jquelin <jquelin> 2.510.0-2.mga1
+ Revision: 23289
- rebuild for perl 5.12

* Mon Jan 17 2011 spuhler <spuhler> 2.510.0-1.mga1
+ Revision: 20829
- removed buildroot definition from .spec

  + jquelin <jquelin>
    - imported package perl-Digest-MD5

